API ReferenceapicommunityPATCH /v1/feed/channels/reorder

PATCH /v1/feed/channels/reorder

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "position": {
      "type": "array",
      "items": {
        "type": "string",
        "minLength": 1
      }
    }
  },
  "required": [
    "position"
  ]
}

Responses

200 Reordered channel list

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "key": {
            "type": "string"
          },
          "kind": {
            "type": "string",
            "enum": [
              "default",
              "hashtag",
              "community"
            ]
          },
          "label": {
            "type": "string"
          },
          "position": {
            "type": "integer"
          },
          "is_default": {
            "type": "boolean"
          },
          "pinned_at": {
            "type": [
              "string",
              "null"
            ]
          }
        },
        "required": [
          "key",
          "kind",
          "label",
          "position",
          "is_default",
          "pinned_at"
        ]
      }
    }
  },
  "required": [
    "data"
  ]
}

Example

curl -X PATCH https://community.platform.loop.health/v1/feed/channels/reorder \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'